Get Agent Profile Inbox Emails
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/agent-profiles/{profileId}/inbox-emails \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'{
"emailCount": 123,
"emails": [
{
"createdAt": "2023-11-07T05:31:56Z",
"from": "<string>",
"id": "<string>",
"subject": "<string>",
"to": [
"<string>"
]
}
],
"hasMore": true
}Agent Profiles
Get Agent Profile Inbox Emails
List emails in the agent profileβs inbox
GET
/
agent-profiles
/
{profileId}
/
inbox-emails
Get Agent Profile Inbox Emails
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/agent-profiles/{profileId}/inbox-emails \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'{
"emailCount": 123,
"emails": [
{
"createdAt": "2023-11-07T05:31:56Z",
"from": "<string>",
"id": "<string>",
"subject": "<string>",
"to": [
"<string>"
]
}
],
"hasMore": true
}Documentation Index
Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
The ID of the agent profile
Query Parameters
Maximum number of emails to return
Response
The request has succeeded.
βI

